Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.prg
Class VariableMapping

    java.lang.Object
      org.encog.ml.prg.VariableMapping

All Implemented Interfaces:
  Serializable

    public class VariableMapping

extends Object
implements Serializable

A variable mapping defines the type for each of the variables in an Encog program.

See Also:
  Serialized Form

Constructor Summary
`VariableMapping(String theName, ValueType theVariableType)` Construct a variable mapping for a non-enum type.
`VariableMapping(String theName, ValueType theVariableType, int theEnumType, int theEnumValueCount)` Construct a variable mapping.

Method Summary
`int` | `getEnumType()`
`int` | `getEnumValueCount()`
`String` | `getName()`
`ValueType` | `getVariableType()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VariableMapping

    public VariableMapping(String theName,
                           ValueType theVariableType)

  Construct a variable mapping for a non-enum type.

  Parameters:
    `theName` - The variable name.
    `theVariableType` - The variable type.

### VariableMapping

    public VariableMapping(String theName,
                           ValueType theVariableType,
                           int theEnumType,
                           int theEnumValueCount)

  Construct a variable mapping.

  Parameters:
    `theName` - The name of the variable.
    `theVariableType` - The type of the variable.
    `theEnumType` - The enum type.
    `theEnumValueCount` - The number of values for an enum.

Method Detail

### getEnumType

    public int getEnumType()

  Returns:
    the enumType

### getEnumValueCount

    public int getEnumValueCount()

  Returns:
    the enumValueCount

### getName

    public String getName()

  Returns:
    the name

### getVariableType

    public ValueType getVariableType()

  Returns:
    the variableType

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.